Package org.eclipse.nebula.jface.gridviewer

## Class GridColumnLayout

- java.lang.Object
- - AbstractColumnLayout
  - - org.eclipse.nebula.jface.gridviewer.GridColumnLayout

    public class GridColumnLayout
    extends AbstractColumnLayout

The GridColumnLayout is the `Layout` used to maintain `GridColumn` sizes in a `Grid`.

You can only add the `Layout` to a container whose only child is the `Grid` control you want the `Layout` applied to. Don't assign the layout directly the `Grid`

This class was copied from `TableColumnLayout` and adapted to `Grid`.

### Constructor Summary

Constructors
`GridColumnLayout()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected int` `getColumnCount​(Scrollable tableTree)`
`protected ColumnLayoutData` `getLayoutData​(Scrollable tableTree, int columnIndex)`
`protected void` `setColumnWidths​(Scrollable tableTree, int[] widths)`
`protected void` `updateColumnData​(Widget column)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridColumnLayout

    public GridColumnLayout()

### Method Detail

#### getColumnCount

    protected int getColumnCount​(Scrollable tableTree)

#### setColumnWidths

    protected void setColumnWidths​(Scrollable tableTree,
                                   int[] widths)

#### getLayoutData

    protected ColumnLayoutData getLayoutData​(Scrollable tableTree,
                                             int columnIndex)

#### updateColumnData

    protected void updateColumnData​(Widget column)